# Class MasterList

Namespace
  adas_core.Domain.Models.Masters

Assembly
  adas-core.Domain.dll

Represents a master list, serving as a centralized collection for managing a comprehensive set of items.

    public class MasterList

Inheritance
  object
  MasterList

Derived
  AccessControlList
  AllergyList
  AltableOptionList
  DestinationList
  DiagnosisList
  DischargeStatusList
  DoctorList
  DoctorTypeList
  GenericList
  InsulationList
  InternalDestinationList
  LanguageBarrierList
  MobilityOptionList
  OriginList
  PassiveSittingList
  PatientStatusList
  ProcedureList
  ServiceList
  TestList
  TherapeuticCeilingList
  TreatmentList
  VisitOptionList

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

This class provides a foundational structure for organizing and accessing a primary list of entries.

## Properties

### AutoObservationName

    public List<string> AutoObservationName { get; set; }

#### Property Value

List<string>

### CanAddElement

    public bool CanAddElement { get; set; }

#### Property Value

bool

### DefaultLocale

    public LocaleEnum? DefaultLocale { get; set; }

#### Property Value

LocaleEnum?

### Description

    public string Description { get; set; }

#### Property Value

string

### Id

    public ObjectId Id { get; set; }

#### Property Value

ObjectId

### ListType

    public MasterListType ListType { get; set; }

#### Property Value

MasterListType

### ManualObservationName

    public string ManualObservationName { get; set; }

#### Property Value

string

### Name

    public string Name { get; set; }

#### Property Value

string

### OptionListDetails

    public OptionListDetails? OptionListDetails { get; set; }

#### Property Value

OptionListDetails

### Options

    public List<OptionList> Options { get; set; }

#### Property Value

List<OptionList>

## Methods

### ReturnMasterListOptionsInLocaleIfExist(LocaleEnum?)

    public MasterList ReturnMasterListOptionsInLocaleIfExist(LocaleEnum? localeToReturn)

#### Parameters

`localeToReturn` LocaleEnum?

#### Returns

MasterList